package com.manage.dao;

import com.manage.entity.Power_Dept;
import com.manage.entity.Power_Role;
import com.manage.entity.Power_User;
import com.manage.vo.Power_RoleVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.PathVariable;

import java.util.List;

public interface Power_RoleMapper {
    int deleteByPrimaryKey(Integer roleId);

    int insert(Power_Role record);

    int insertSelective(Power_Role record);

    Power_Role selectByPrimaryKey(Integer roleId);

    int updateByPrimaryKeySelective(Power_Role record);

    int updateByPrimaryKey(Power_Role record);


    List<Power_RoleVo> findSomeByMore(@Param("record") Power_RoleVo record, @Param("roleId") Integer roleId,@Param("userId")Integer userId);

    int getTotal(@Param("record")Power_RoleVo record,@Param("roleId")Integer roleId,@Param("userId")Integer userId);

    List<Power_RoleVo>selectList();

    Power_Role checkRoleName(String roleName);
    List<Power_RoleVo> selectListByPower(@Param("roleId") Integer roleId,@Param("userId")Integer userId);

    int SimpleInsert(List<Power_Role> list);
}